pqxx::basic_lostream< CHAR, TRAITS > Class Template Reference

Stream that reads and writes a large object. More...

`#include <largeobject.hxx>`

Inheritance diagram for pqxx::basic_lostream< CHAR, TRAITS >:
[legend]

## Public Types

using | char_type = CHAR
using | traits_type = TRAITS
using | int_type = typename traits_type::int_type
using | pos_type = typename traits_type::pos_type
using | off_type = typename traits_type::off_type

## Public Member Functions

| basic_lostream (dbtransaction &T, largeobject O, largeobject::size_type BufSize=512)
| Create a basic_lostream. More...
| basic_lostream (dbtransaction &T, oid O, largeobject::size_type BufSize=512)
| Create a basic_lostream. More...
| ~basic_lostream ()

## Detailed Description

### template<typename CHAR = char, typename TRAITS = std::char_traits<CHAR>>
class pqxx::basic_lostream< CHAR, TRAITS >

Stream that reads and writes a large object.

Use this class exactly as you would a std::iostream to read data from, or write data to a large object. All formatting and streaming operations of `std::iostream` are supported. What you'll typically want to use, however, is the lostream alias (which defines a basic_lostream for `char`). This is similar to how e.g. `std::fstream` is related to `std::basic_fstream`.

Currently only works for `<char, std::char_traits<char>>`.

## Member Typedef Documentation

## char_type

template<typename CHAR = char, typename TRAITS = std::char_traits<CHAR>>

using pqxx::basic_lostream< CHAR, TRAITS >::char_type = CHAR

## int_type

template<typename CHAR = char, typename TRAITS = std::char_traits<CHAR>>

using pqxx::basic_lostream< CHAR, TRAITS >::int_type = typename traits_type::int_type

## off_type

template<typename CHAR = char, typename TRAITS = std::char_traits<CHAR>>

using pqxx::basic_lostream< CHAR, TRAITS >::off_type = typename traits_type::off_type

## pos_type

template<typename CHAR = char, typename TRAITS = std::char_traits<CHAR>>

using pqxx::basic_lostream< CHAR, TRAITS >::pos_type = typename traits_type::pos_type

## traits_type

template<typename CHAR = char, typename TRAITS = std::char_traits<CHAR>>

using pqxx::basic_lostream< CHAR, TRAITS >::traits_type = TRAITS

## Constructor & Destructor Documentation

## basic_lostream() [1/2]

template<typename CHAR = char, typename TRAITS = std::char_traits<CHAR>>

pqxx::basic_lostream< CHAR, TRAITS >::basic_lostream | ( | dbtransaction & | T,
|  | largeobject | O,
|  | largeobject::size_type | BufSize = `512`
| ) |  |

Create a basic_lostream.

Parameters

  T | Transaction in which this stream is to exist
  O | Large object to access
  BufSize | Size of buffer to use internally (optional)

## basic_lostream() [2/2]

template<typename CHAR = char, typename TRAITS = std::char_traits<CHAR>>

pqxx::basic_lostream< CHAR, TRAITS >::basic_lostream | ( | dbtransaction & | T,
|  | oid | O,
|  | largeobject::size_type | BufSize = `512`
| ) |  |

Create a basic_lostream.

Parameters

  T | Transaction in which this stream is to exist
  O | Large object to access
  BufSize | Size of buffer to use internally (optional)

## ~basic_lostream()

template<typename CHAR = char, typename TRAITS = std::char_traits<CHAR>>

pqxx::basic_lostream< CHAR, TRAITS >::~basic_lostream | ( |  | ) |

The documentation for this class was generated from the following file:

- largeobject.hxx